Bug 507607 - c++filt <</dev/null segfaults bash
c++filt <</dev/null segfaults bash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 09:12 EDT by Michal Nowak
Modified: 2014-01-12 19:09 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.0-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 14:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-06-23 09:12:57 EDT
Description of problem:

newman@dhcp-lab-124 ~ $ c++filt <</dev/null
> Segmentation fault (core dumped)

Press Ctrl + D when '>' emerges.

Version-Release number of selected component (if applicable):

bash-4.0-6.fc11.x86_64

How reproducible:

always

Additional info:

newman@dhcp-lab-124 ccpp-1245761144-4899 $ gdb -c coredump 
GNU gdb (GDB) Fedora (6.8.50.20090302-27.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Reading symbols from /usr/lib/debug/bin/bash.debug...done.

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /lib64/libtinfo.so.5.7...Reading symbols from /usr/lib/debug/lib64/libtinfo.so.5.7.debug...done.
done.
Loaded symbols for /lib64/libtinfo.so.5.7
Reading symbols from /lib64/libdl-2.10.1.so...Reading symbols from /usr/lib/debug/lib64/libdl-2.10.1.so.debug...done.
done.
Loaded symbols for /lib64/libdl-2.10.1.so
Reading symbols from /lib64/libc-2.10.1.so...Reading symbols from /usr/lib/debug/lib64/libc-2.10.1.so.debug...done.
done.
Loaded symbols for /lib64/libc-2.10.1.so
Reading symbols from /lib64/ld-2.10.1.so...Reading symbols from /usr/lib/debug/lib64/ld-2.10.1.so.debug...done.
done.
Loaded symbols for /lib64/ld-2.10.1.so
Reading symbols from /lib64/libnss_files-2.10.1.so...Reading symbols from /usr/lib/debug/lib64/libnss_files-2.10.1.so.debug...done.
done.
Loaded symbols for /lib64/libnss_files-2.10.1.so
Core was generated by `bash'.
Program terminated with signal 11, Segmentation fault.
#0  strlen () at ../sysdeps/x86_64/strlen.S:31
31		movdqa	(%rdi), %xmm0
(gdb) thread apply all bt

Thread 1 (Thread 4899):
#0  strlen () at ../sysdeps/x86_64/strlen.S:31
#1  0x0000000000459536 in bash_add_history (line=0x0) at bashhist.c:733
#2  0x0000000000452080 in ?? () at sig.c:413
#3  0x0000000000000000 in ?? ()
Current language:  auto; currently asm
Comment 1 Fedora Update System 2009-06-23 10:55:25 EDT
bash-4.0-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bash-4.0-7.fc11
Comment 2 Fedora Update System 2009-06-26 22:50:21 EDT
bash-4.0-7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bash'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6992
Comment 3 Fedora Update System 2009-07-23 14:59:46 EDT
bash-4.0-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.